Circulating Supply Chart by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/coins/{id}/circulating_supply_chart \
--header 'x-cg-pro-api-key: <api-key>'{
"circulating_supply": [
[
1779700198931,
"20034078.0"
],
[
1779700499891,
"20034078.0"
],
[
1779700797940,
"20034078.0"
]
]
}Circulating Supply Chart by ID
To query historical circulating supply of a coin by number of days away from now based on provided coin ID
GET
/
coins
/
{id}
/
circulating_supply_chart
Circulating Supply Chart by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/coins/{id}/circulating_supply_chart \
--header 'x-cg-pro-api-key: <api-key>'{
"circulating_supply": [
[
1779700198931,
"20034078.0"
],
[
1779700499891,
"20034078.0"
],
[
1779700797940,
"20034078.0"
]
]
}Notes
-
Auto-granularity when
intervalis not specified:Date range Granularity 1 day 5-minutely 2–90 days hourly 91 days and above daily (00:00 UTC) - Data available from 22 June 2019 onwards.
The last completed UTC day (00:00) is available 35 minutes after midnight (00:35 UTC).
SDK Examples
const response = await client.coins.circulatingSupplyChart.get('bitcoin', {
days: '1',
});
console.log(JSON.stringify(response, null, 2));
response = client.coins.circulating_supply_chart.get(
"bitcoin",
days="1",
)
print(response.model_dump_json(indent=2))
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Coin ID.
*refers to /coins/list.
Query Parameters
Data up to number of days ago.
Valid values: any integer or max.
Data interval.
Available options:
5m, hourly, daily Response
200 - application/json
Historical circulating supply chart data
Circulating supply data points as [timestamp, supply] pairs
Was this page helpful?

